Name:           python-pycalib-simple
Version:        2025.4.19.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        PyCalib: Simple Camera Calibration in Python for Beginners

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/nbhr/pycalib
Source:         %{pypi_source pycalib_simple}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pycalib-simple' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pycalib-simple
Summary:        %{summary}

%description -n python3-pycalib-simple %_description


%prep
%autosetup -p1 -n pycalib_simple-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pycalib-simple -f %{pyproject_files}


%changelog
%autochangelog